Export Source
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/sources/{source_id}/exports \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"include_files": true,
"create_folders": true
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/sources/{source_id}/exports"
payload = {
"include_files": True,
"create_folders": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({include_files: true, create_folders: true})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/sources/{source_id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"source_id": "<string>",
"status": "pending",
"filename": "<string>",
"include_files": true,
"create_folders": true,
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"error": "<string>",
"download_url": "<string>",
"download_url_expires_at": "2023-11-07T05:31:56Z",
"poll_after_seconds": 123,
"instructions": "<string>",
"object": "source_export"
}Sources
Export Source
POST
/
api
/
v1
/
sources
/
{source_id}
/
exports
Export Source
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/sources/{source_id}/exports \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"include_files": true,
"create_folders": true
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/sources/{source_id}/exports"
payload = {
"include_files": True,
"create_folders": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({include_files: true, create_folders: true})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/sources/{source_id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"source_id": "<string>",
"status": "pending",
"filename": "<string>",
"include_files": true,
"create_folders": true,
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"error": "<string>",
"download_url": "<string>",
"download_url_expires_at": "2023-11-07T05:31:56Z",
"poll_after_seconds": 123,
"instructions": "<string>",
"object": "source_export"
}Authorizations
Path Parameters
Response
202 - application/json
Accepted
Available options:
pending, processing, ready, failed, expired 